Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderPk

    java.lang.Object
      com.beasys.commerce.foundation.SmartKey
          com.beasys.commerce.ebusiness.order.OrderPk

All Implemented Interfaces
  Serializable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderPk

extends SmartKey
implements Serializable

This is a PrimaryKey for managing the life cycle of the Order entity. It is derived from SmartKey which requires that the classes be serializable and comparable.

See Also
  Serialized Form

Field Summary
`String` | `identifier` Deprecated See BEA Commerce product offering

Constructor Summary
`OrderPk()` Deprecated See BEA Commerce product offering
`OrderPk(String identifier)` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.SmartKey
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  Identifier. Represents the primary key.

Constructor Detail

### OrderPk

    public OrderPk()

  Deprecated See BEA Commerce product offering

  Default constructor.

### OrderPk

    public OrderPk(String identifier)

  Deprecated See BEA Commerce product offering

  Constructs a primary key with the specified identifier.

  Parameters
    `identifier` - Primary key

Method Detail

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Implements the compareTo method. The following conditions hold true:

         (a > b) ==> (b < a)
         (a < b) ==> (b > a)
         (a = b) ==> (b = a)

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `SmartKey`
  Parameters
    `o` - the Object to be compared.
  Returns
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns the stringified version of the key class.

  Overrides:
    `toString` in class `SmartKey`
  Returns
    Stringified version of the primary key

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Overrides the hashCode() method

  Overrides:
    `hashCode` in class `Object`

### getIdentifier

    public String getIdentifier()

  Deprecated See BEA Commerce product offering

  Returns the identifier

  Returns
    identifier

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved